---
- name: attach volume
  os_server_volume:
    cloud: "{{ openstack_user_name }}"
    server: "{{ node.name }}{{ identifier }}"
    state: present
    volume: "{{ node.name }}-volume-{{ disk_idx }}{{ identifier }}"
  loop: "{{ node.disks }}"
  loop_control:
    index_var: disk_idx
    label: "{{ node.name }}-{{ item.name }}"
    pause: 1
  when: disk_idx > 0
